Foreman - Bug #654

Delete operations fail during orchestration
02/08/2011 04:51 AM - Paul Kelly

Status: Closed

Priority: Normal

Assignee: Paul Kelly

Category: Orchestration

Target version: 0.2

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

This needs some investigation but | believe that if a delete operation fails then the database transaction COMMITS. This appears to
be because the Orchestration#destroy method is not within a transaction and the ROLLBACK is just an ordinary exception.

It may be that this is more or less complicated than that but this what | have seen.

| admit that | cannot see how this is possible, so maybe | am wrong.

Associated revisions

Revision 822eef5a - 03/07/2011 09:21 AM - Paul Kelly
Fixes #654 - Delete ROLLBACK should be in transaction block

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 03/01/2011 08:29 AM - Paul Kelly

After some investigation it appears that the structure of the code is such that the destroy teardown is occurring AFTER the commit has been
executed. The obvious solution is to perform the rollback operations in an after_delete method as this ensures that we are within the transactional
block.

#2 - 03/05/2011 04:48 AM - Paul Kelly
- Status changed from New to Assigned

- Assignee set to Paul Kelly

#3 - 03/07/2011 08:48 AM - Paul Kelly

rebased and tested

#4 - 03/07/2011 08:48 AM - Paul Kelly
- Status changed from Assigned to Ready For Testing

#5 - 03/07/2011 09:22 AM - Ohad Levy

- Target version set to 0.2

#6 - 03/07/2011 10:38 AM - Paul Kelly
- % Done changed from 0 to 100

Applied in changeset 822eef5a8aab59633eb3e737a80cd2c610fe2498.

#7 - 03/09/2011 04:40 AM - Ohad Levy
- Status changed from Ready For Testing to Closed
